Patchwork D9138: rust: update minimum supported Rust compiler version

login
register
mail settings
Submitter phabricator
Date Oct. 1, 2020, 12:04 p.m.
Message ID <differential-rev-PHID-DREV-xrhte6z3wnbqcuhfpdyv-req@mercurial-scm.org>
Download mbox | patch
Permalink /patch/47359/
State Superseded
Headers show

Comments

phabricator - Oct. 1, 2020, 12:04 p.m.
Alphare created this revision.
Herald added a reviewer: hg-reviewers.
Herald added a subscriber: mercurial-patches.

REVISION SUMMARY
  Debian stable backported `rustc 1.41.1` for a Firefox release that needed it,
  so we can finally update the compiler version to something that isn't more than
  a year old.
  
  This means that (among other things [1]), `async await` syntax is usable!

REPOSITORY
  rHG Mercurial

BRANCH
  default

REVISION DETAIL
  https://phab.mercurial-scm.org/D9138

AFFECTED FILES
  rust/README.rst
  rust/hg-core/Cargo.toml

CHANGE DETAILS




To: Alphare, #hg-reviewers
Cc: mercurial-patches, mercurial-devel

Patch

diff --git a/rust/hg-core/Cargo.toml b/rust/hg-core/Cargo.toml
--- a/rust/hg-core/Cargo.toml
+++ b/rust/hg-core/Cargo.toml
@@ -27,10 +27,8 @@ 
 zstd = "0.5.3"
 rust-crypto = "0.2.36"
 
-# We don't use the `miniz-oxide` backend because its minimum Rust version is
-# `1.36`. However, this PR (https://github.com/Frommi/miniz_oxide/pull/84/files)
-# introduces a flag `no_extern_crate_alloc` to bring the requirement back down
-# to `1.34`.
+# We don't use the `miniz-oxide` backend to not change rhg benchmarks and until
+# we have a clearer view of which backend is the fastest.
 [dependencies.flate2]
 version = "1.0.16"
 features = ["zlib"]
diff --git a/rust/README.rst b/rust/README.rst
--- a/rust/README.rst
+++ b/rust/README.rst
@@ -52,8 +52,8 @@ 
 Developing Rust
 ===============
 
-The current version of Rust in use is ``1.34.2``, because it's what Debian
-stable has. You can use ``rustup override set 1.34.2`` at the root of the repo
+The current version of Rust in use is ``1.41.1``, because it's what Debian
+stable has. You can use ``rustup override set 1.41.1`` at the root of the repo
 to make it easier on you.
 
 Go to the ``hg-cpython`` folder::